=== debian/changelog ===
libzypp (17.37.17-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.37.17'

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Aug 2025 23:03:26 +0100
